Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230935 - Review Request: aircrack-ng - 802.11 (wireless) sniffer and WEP/WPA-PSK key cracker
Summary: Review Request: aircrack-ng - 802.11 (wireless) sniffer and WEP/WPA-PSK key c...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL: http://www.aircrack-ng.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 20:35 UTC by Till Maas
Modified: 2017-12-12 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 15:51:10 UTC
andreas.bierfert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2007-03-04 20:35:15 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/aircrack-ng.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/aircrack-ng-0.7-1.src.rpm
Description: aircrack-ng is a set of tools for auditing wireless networks. It's an
enhanced/reborn version of aircrack. It consists of airodump-ng (an 802.11
packet capture program), aireplay-ng (an 802.11 packet injection program),
aircrack (static WEP and WPA-PSK cracking), airdecap-ng (decrypts WEP/WPA
capture files), and some tools to handle capture files (merge, convert, etc.).

Comment 1 Andreas Bierfert 2007-03-04 22:05:40 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- - rpmlint is silent
- - package is named according to guidelines
- - spec file name is ok
- - software is licensed under the GPL
- - spec file license matches actual license
- - license is included as doc
- - spec is written in AE (as far is I can tell)
- - spec is readable
- - sources matches upstream:
    [awjb@alkaid] md5sum aircrack-ng-0.7.tar.gz ../SOURCES/aircrack-ng-0.7.tar.gz 
    34c0447951d438d76fa32d08eab5da01  aircrack-ng-0.7.tar.gz
    34c0447951d438d76fa32d08eab5da01  ../SOURCES/aircrack-ng-0.7.tar.gz
- - builds fine (fc6: mock/x86_64)
- - no BR are needed
- - no locales are part of the package
- - no shared libraries are part of the package
- - package is not relocatable
- - package does not create any directories
- - package does not contain duplicate files
- - file permissions are correct
- - package contains %clean section
- - use of macros is ok
- - doc size is ok
- - no header/static lib files in package
- - no pkgconfig files in package
- - no lib files in package
- - no devel package
- - no libtool archives in package
- - no gui applications included
- - no files are owned by other packages
- - source package contains license file

package looks good to go. APPROVED.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF60KKQEQyPsWM8csRAj0OAJsHhXQPeSYSYnNqaNqDPJwDRIYQggCaAoY5
4yA+xA+26RPJomQxUy1cZiw=
=qvkj
-----END PGP SIGNATURE-----


Comment 2 Till Maas 2007-03-04 22:16:22 UTC
New Package CVS Request
=======================
Package Name: aircrack-ng
Short Description: 802.11 (wireless) sniffer and WEP/WPA-PSK key cracker
Owners: opensource till name
Branches: FC-6
InitialCC: 

My e-mail is not in the correct format because bugzilla does display e-mails
that are in comments for not loggid in users. I hope this is not a problem.

Comment 3 Jens Petersen 2007-03-05 00:11:47 UTC
IMHO better to avoid parentheses in the Summary.

Comment 5 Till Maas 2008-10-31 13:00:05 UTC
Package Change Request
======================
Package Name: aircrack-ng
New Branches: F-10
Owners: till

Comment 6 Kevin Fenzi 2008-10-31 17:02:21 UTC
cvs done.

Comment 7 Michal Ambroz 2017-12-12 16:35:48 UTC
removing aircrack-ng alias to avoid bug in bugzilla preventing searching for any other bugs of the package


Note You need to log in before you can comment on or make changes to this bug.